﻿
local qcL = qcLocalize
local COLOUR_DEATHKNIGHT = "|cFFC41F3B"
local COLOUR_DRUID = "|cFFFF7D0A"
local COLOUR_HUNTER = "|cFFABD473"
local COLOUR_MAGE = "|cFF69CCF0"
local COLOUR_PALADIN = "|cFFF58CBA"
local COLOUR_PRIEST = "|cFFFFFFFF"
local COLOUR_ROGUE = "|cFFFFF569"
local COLOUR_SHAMAN = "|cFF0070DE"
local COLOUR_WARLOCK = "|cFF9482C9"
local COLOUR_WARRIOR = "|cFFC79C6E"
local COLOUR_MONK = "|cFF558A84"
local COLOUR_END = "|r"
local stringformat = string.format

qcCategoryMenu = {

	{1,qcL.CONTINENTS},
	{2,qcL.KALIMDOR,
		{
			{2,qcL.AHNQIRAJ},
			{4,qcL.ASHENVALE},
			{5,qcL.AZSHARA},
			{6,qcL.AZUREMYSTISLE},
			{10,qcL.BLOODMYSTISLE},
			{15,qcL.DARKSHORE},
			{16,qcL.DARNASSUS},
			{20,qcL.DESOLACE},
			{24,qcL.DUROTAR},
			{26,qcL.DUSTWALLOWMARSH},
			{30,qcL.FELWOOD},
			{31,qcL.FERALAS},
			{47,qcL.MOONGLADE},
			{48,qcL.MOUNTHYJAL},
			{49,qcL.MULGORE},
			{52,qcL.NORTHERNBARRENS},
			{54,qcL.ORGRIMMAR},
			{63,qcL.SILITHUS},
			{66,qcL.SOUTHERNBARRENS},
			{67,qcL.STONETALONMOUNTAINS},
			{71,qcL.TANARIS},
			{72,qcL.TELDRASSIL},
			{75,qcL.THEEXODAR},
			{82,qcL.THOUSANDNEEDLES},
			{83,qcL.THUNDERBLUFF},
			{89,qcL.ULDUM},
			{91,qcL.UNGOROCRATER},
			{99,qcL.WINTERSPRING},
		},
	},
	{3,qcL.EASTERNKINGDOMS,
		{
			{1,qcL.ABYSSALDEPTHS},
			{3,qcL.ARATHIHIGHLANDS},
			{7,qcL.BADLANDS},
			{9,qcL.BLASTEDLANDS},
			{12,qcL.BURNINGSTEPPES},
			{17,qcL.DEADWINDPASS},
			{23,qcL.DUNMOROGH},
			{25,qcL.DUSKWOOD},
			{27,qcL.EASTERNPLAGUELANDS},
			{28,qcL.ELWYNNFOREST},
			{29,qcL.EVERSONGWOODS},
			{32,qcL.GHOSTLANDS},
			{35,qcL.HILLSBRADFOOTHILLS},
			{39,qcL.IRONFORGE},
			{40,qcL.ISLEOFQUELDANAS},
			{41,qcL.KELPTHARFOREST},
			{45,qcL.LOCHMODAN},
			{53,qcL.NORTHERNSTRANGLETHORN},
			{55,qcL.REDRIDGEMOUNTAINS},
			{56,qcL.RUINSOFGILNEAS},
			{57,qcL.RUINSOFGILNEASCITY},
			{103,qcL.GILNEAS},
			{102,qcL.GILNEASCITY},
			{58,qcL.SEARINGGORGE},
			{61,qcL.SHIMMERINGEXPANSE},
			{64,qcL.SILVERMOONCITY},
			{65,qcL.SILVERPINEFOREST},
			{68,qcL.STORMWINDCITY},
			{69,qcL.STRANGLETHORNVALE},
			{70,qcL.SWAMPOFSORROWS},
			{74,qcL.THECAPEOFSTRANGLETHORN},
			{76,qcL.THEHINTERLANDS},
			{84,qcL.TIRISFALGLADES},
			{85,qcL.TOLBARAD},
			{86,qcL.TOLBARADPENINSULA},
			{88,qcL.TWILIGHTHIGHLANDS},
			{90,qcL.UNDERCITY},
			{94,qcL.VASHJIR},
			{95,qcL.WESTERNPLAGUELANDS},
			{96,qcL.WESTFALL},
			{97,qcL.WETLANDS},
		},
	},
	{4,qcL.OUTLAND,
		{
			{8,qcL.BLADESEDGEMOUNTAINS},
			{34,qcL.HELLFIREPENINSULA},
			{50,qcL.NAGRAND},
			{51,qcL.NETHERSTORM},
			{59,qcL.SHADOWMOONVALLEY},
			{60,qcL.SHATTRATHCITY},
			{73,qcL.TEROKKARFOREST},
			{100,qcL.ZANGARMARSH},
		},
	},
	{5,qcL.NORTHREND,
		{
			{11,qcL.BOREANTUNDRA},
			{13,qcL.CRYSTALSONGFOREST},
			{14,qcL.DALARAN},
			{21,qcL.DRAGONBLIGHT},
			{33,qcL.GRIZZLYHILLS},
			{36,qcL.HOWLINGFJORD},
			{37,qcL.HROTHGARSLANDING},
			{38,qcL.ICECROWN},
			{62,qcL.SHOLAZARBASIN},
			{80,qcL.THESTORMPEAKS},
			{98,qcL.WINTERGRASP},
			{101,qcL.ZULDRAK},
		},
	},
	{6,qcL.THEMAELSTROM,
		{
			{18,qcL.DEEPHOLM},
			{42,qcL.KEZAN},
			{78,qcL.THELOSTISLES},
			{79,qcL.THEMAELSTROM},
		},
	},
	{7,qcL.PANDARIA,
		{
			{22,qcL.DREADWASTES},
			{43,qcL.KRASARANGWILDS},
			{44,qcL.KUNLAISUMMIT},
			{77,qcL.THEJADEFOREST},
			{81,qcL.THEWANDERINGISLE},
			{87,qcL.TOWNLONGSTEPPES},
			{92,qcL.VALEOFETERNALBLOSSOMS},
			{93,qcL.VALLEYOFTHEFOURWINDS},
		},
	},
	{8,qcL.MISCELLANEOUS,
		{
			{19,qcL.DEEPRUNTRAM},
			{46,qcL.MOLTENFRONT},
		},
	},
	{21,qcL.DUNGEONSANDRAIDS},
	{22,GetText("EXPANSION_NAME0"), -- World of Warcraft
		{
			{1007,qcL.BLACKFATHOMDEEPS},
			{1009,qcL.BLACKROCKDEPTHS},
			{1010,qcL.BLACKROCKSPIRE},
			{1016,qcL.DIREMAUL},
			{1019,qcL.GNOMEREGAN},
			{1037,qcL.MARAUDON},
			{1045,qcL.RAGEFIRECHASM},
			{1046,qcL.RAZORFENDOWNS},
			{1047,qcL.RAZORFENKRAUL},
			{1049,qcL.SCARLETMONASTERY},
			{1050,qcL.SCHOLOMANCE},
			{1055,qcL.SHADOWFANGKEEP},
			{1058,qcL.STRATHOLME},
			{1059,qcL.SUNKENTEMPLE},
			{1070,qcL.THEDEADMINES},
			{1083,qcL.THESTOCKADE},
			{1093,qcL.ULDAMAN},
			{1098,qcL.WAILINGCAVERNS},
			{1101,qcL.ZULFARRAK},
			{1012,qcL.BLACKWINGLAIR},
			{1039,qcL.MOLTENCORE},
			{1048,qcL.RUINSOFAHNQIRAJ},
			{1062,qcL.TEMPLEOFAHNQIRAJ},
		},
	},
	{23,GetText("EXPANSION_NAME1"), -- The Burning Crusade
		{
			{1002,qcL.AUCHENAICRYPTS},
			{1036,qcL.MANATOMBS},
			{1052,qcL.SETHEKKHALLS},
			{1054,qcL.SHADOWLABYRINTH},
			{1041,qcL.OLDHILLSBRADFOOTHILLS},
			{1066,qcL.THEBLACKMORASS},
			{1081,qcL.THESLAVEPENS},
			{1082,qcL.THESTEAMVAULT},
			{1086,qcL.THEUNDERBOG},
			{1028,qcL.HELLFIRERAMPARTS},
			{1067,qcL.THEBLOODFURNACE},
			{1080,qcL.THESHATTEREDHALLS},
			{1034,qcL.MAGISTERSTERRACE},
			{1064,qcL.THEARCATRAZ},
			{1068,qcL.THEBOTANICA},
			{1075,qcL.THEMECHANAR},
			{1006,qcL.BLACKTEMPLE},
			{1030,qcL.HYJALSUMMIT},
			{1051,qcL.SERPENTSHRINECAVERN},
			{1021,qcL.GRUULSLAIR},
			{1035,qcL.MAGTHERIDONSLAIR},
			{1032,qcL.KARAZHAN},
			{1060,qcL.SUNWELLPLATEAU},
			{1071,qcL.THEEYE},
			{1003,qcL.AUCHINDOUN},
			{1013,qcL.CAVERNSOFTIME},
			{1015,qcL.COILFANGRESERVOIR},
			{1027,qcL.HELLFIRECITADEL},
			{1061,qcL.TEMPESTKEEP},
		},
	},
	{24,GetText("EXPANSION_NAME2"), -- Wrath of the Lich King
		{
			{1001,qcL.AHNKAHETTHEOLDKINGDOM},
			{1004,qcL.AZJOLNERUB},
			{1069,qcL.THECULLINGOFSTRATHOLME},
			{1091,qcL.TRIALOFTHECHAMPION},
			{1017,qcL.DRAKTHARONKEEP},
			{1022,qcL.GUNDRAK},
			{1025,qcL.HALLSOFREFLECTION},
			{1044,qcL.PITOFSARON},
			{1073,qcL.THEFORGEOFSOULS},
			{1076,qcL.THENEXUS},
			{1078,qcL.THEOCULUS},
			{1087,qcL.THEVIOLETHOLD},
			{1023,qcL.HALLSOFLIGHTNING},
			{1026,qcL.HALLSOFSTONE},
			{1095,qcL.UTGARDEKEEP},
			{1096,qcL.UTGARDEPINNACLE},
			{1092,qcL.TRIALOFTHECRUSADER},
			{1031,qcL.ICECROWNCITADEL},
			{1040,qcL.NAXXRAMAS},
			{1042,qcL.ONYXIASLAIR},
			{1072,qcL.THEEYEOFETERNITY},
			{1094,qcL.ULDUAR},
			{1097,qcL.VAULTOFARCHAVON},
			{1077,qcL.THEOBSIDIANSANCTUM},
			{1079,qcL.THERUBYSANCTUM},
		},
	},
	{25,GetText("EXPANSION_NAME3"), -- Cata
		{
			{1090,qcL.THRONEOFTHETIDES},
			{1008,qcL.BLACKROCKCAVERNS},
			{1020,qcL.GRIMBATOL},
			{1024,qcL.HALLSOFORIGINATION},
			{1033,qcL.LOSTCITYOFTHETOLVIR},
			{1084,qcL.THESTONECORE},
			{1088,qcL.THEVORTEXPINNACLE},
			{1018,qcL.ENDTIME},
			{1099,qcL.WELLOFETERNITY},
			{1029,qcL.HOUROFTWILIGHT},
			{1100,qcL.ZULAMAN},
			{1102,qcL.ZULGURUB},
			{1005,qcL.BARADINHOLD},
			{1011,qcL.BLACKWINGDESCENT},
			{1103,qcL.FIRELANDS},
			{1104,qcL.DRAGONSOUL},
			{1065,qcL.THEBASTIONOFTWILIGHT},
			{1089,qcL.THRONEOFTHEFOURWINDS},
		},
	},
	{26,"EXPANSION_NAME4", -- NEEDS UPDATED FOR MOP
		{
		},
	},
	{41,qcL.CLASSQUESTS},
	{42,qcL.CLASSES,
		{
			{2001,stringformat("%s%s%s",COLOUR_DEATHKNIGHT,qcL.DEATHKNIGHT,COLOUR_END)},
			{2002,stringformat("%s%s%s",COLOUR_DRUID,qcL.DRUID,COLOUR_END)},
			{2003,stringformat("%s%s%s",COLOUR_HUNTER,qcL.HUNTER,COLOUR_END)},
			{2004,stringformat("%s%s%s",COLOUR_MAGE,qcL.MAGE,COLOUR_END)},
			{2006,stringformat("%s%s%s",COLOUR_PALADIN,qcL.PALADIN,COLOUR_END)},
			{2007,stringformat("%s%s%s",COLOUR_PRIEST,qcL.PRIEST,COLOUR_END)},
			{2008,stringformat("%s%s%s",COLOUR_ROGUE,qcL.ROGUE,COLOUR_END)},
			{2009,stringformat("%s%s%s",COLOUR_SHAMAN,qcL.SHAMAN,COLOUR_END)},
			{2010,stringformat("%s%s%s",COLOUR_WARLOCK,qcL.WARLOCK,COLOUR_END)},
			{2011,stringformat("%s%s%s",COLOUR_WARRIOR,qcL.WARRIOR,COLOUR_END)},
			{2005,stringformat("%s%s%s",COLOUR_MONK,qcL.MONK,COLOUR_END)},
		},
	},
	{61,qcL.MISCELLANEOUS},
	{62,qcL.PROFESSIONS,
		{
			{3001,qcL.ALCHEMY},
			{3002,qcL.ARCHAEOLOGY},
			{3003,qcL.BLACKSMITHING},
			{3004,qcL.COOKING},
			{3005,qcL.ENCHANTING},
			{3006,qcL.ENGINEERING},
			{3007,qcL.FIRSTAID},
			{3008,qcL.FISHING},
			{3009,qcL.HERBALISM},
			{3010,qcL.INSCRIPTION},
			{3011,qcL.JEWELCRAFTING},
			{3012,qcL.LEATHERWORKING},
			{3013,qcL.MINING},
			{3014,qcL.SKINNING},
			{3015,qcL.TAILORING},
		},
	},
	{63,qcL.WORLDEVENTS,
		{
			{4001,qcL.BREWFEST},
			{4002,qcL.CHILDRENSWEEK},
			{4003,qcL.DARKMOONFAIRE},
			{4004,qcL.DAYOFTHEDEAD},
			{4005,qcL.HALLOWSEND},
			{4006,qcL.HARVESTFESTIVAL},
			{4007,qcL.LOVEISINTHEAIR},
			{4008,qcL.LUNARFESTIVAL},
			{4009,qcL.MIDSUMMERFIREFESTIVAL},
			{4010,qcL.NEWYEARSEVE},
			{4011,qcL.NOBLEGARDEN},
			{4012,qcL.PILGRIMSBOUNTY},
			{4015,qcL.WINTERVEIL},
			{4014,qcL.TOURNAMENT},
			{4013,qcL.SEASONAL},
		},
	},
	{64,qcL.BATTLEGROUNDS,
		{
			{5001,qcL.ALTERACVALLEY},
			{5002,qcL.ARATHIBASIN},
			{5003,qcL.EYEOFTHESTORM},
			{5004,qcL.ISLEOFCONQUEST},
			{5006,qcL.STRANDOFTHEANCIENTS},
			{5008,qcL.THEBATTLEFORGILNEAS},
			{5009,qcL.TWINPEAKS},
			{5010,qcL.WARSONGGULCH},
			{5005,qcL.SILVERSHARDMINES},
			{5007,qcL.TEMPLEOFKOTMOGU},
		},
	},
	{65,qcL.SPECIALS,
		{
			{6004,qcL.LEGENDARY},
			{6002,qcL.ELEMENTALBONDS},
			{6001,qcL.FIRELANDSINVASION},
			{6003,qcL.THEZANDALARI},
			{6005,qcL.SPECIAL},
		},
	},
	{201,GetText("SETTINGS")},
	{202,stringformat("%s%s",COLOUR_DRUID,GetText("SETTINGS")),
		{
			{"PERFORMSERVERQUERY",stringformat("%s%s%s",COLOUR_DRUID,qcL.PERFORMSERVERQUERY,COLOUR_END)},
			{"CLEARUPDATECACHE",stringformat("%s%s%s",COLOUR_DRUID,qcL.CLEARUPDATECACHE,COLOUR_END)},
			{"SORTLEVEL",stringformat("%s%s%s",COLOUR_DRUID,qcL.SORTLEVEL,COLOUR_END)},
			{"SORTALPHA",stringformat("%s%s%s",COLOUR_DRUID,qcL.SORTALPHA,COLOUR_END)},
		},
	},
	
}